package com.frostbite.wf;

import javax.ejb.ActivationConfigProperty;
import javax.ejb.MessageDriven;
import javax.jms.Message;
import javax.jms.MessageListener;

@MessageDriven(
        activationConfig = {
                @ActivationConfigProperty(
                        propertyName = "destinationType", propertyValue = "javax.jms.Queue"),
                @ActivationConfigProperty(
                        propertyName = "destination", propertyValue = "java:/jms/queue/Avi"),
                @ActivationConfigProperty(
                        propertyName = "acknowledgeMode", propertyValue = "auto_acknowledge") })
public class AviMdb implements MessageListener {

	public void onMessage(Message msg) {
		System.out.println(msg == null ? "empty msg" : msg.toString());
	}

}
